Skip to main content

OAuthAPI

OAuth initialization and callback endpoints for GitHub and Google.

MethodHTTPDescription
MainApiV1StartGithubGetGET /start/githubStart GitHub OAuth
MainApiV1StartGithubCallbackGetGET /start/github/callbackGitHub callback
MainApiV1StartGoogleGetGET /start/googleStart Google OAuth
MainApiV1StartGoogleCallbackGetGET /start/google/callbackGoogle callback
githubStart, _, err := client.OAuthAPI.
MainApiV1StartGithubGet(context.Background()).
Execute()
githubCallback, _, err := client.OAuthAPI.
MainApiV1StartGithubCallbackGet(context.Background()).
Execute()

googleStart, _, err := client.OAuthAPI.
MainApiV1StartGoogleGet(context.Background()).
Execute()
googleCallback, _, err := client.OAuthAPI.
MainApiV1StartGoogleCallbackGet(context.Background()).
Execute()

OAuth is normally completed in a browser because the identity provider redirects to the callback URL with query parameters that the backend expects.